TestEventReporterFactory (Gradle API 9.4.1)
Description: declaration: package: org.gradle.api.tasks.testing, interface: TestEventReporterFactory

Package org.gradle.api.tasks.testing

# Interface TestEventReporterFactory

@ServiceScope(org.gradle.internal.service.scopes.Scope.Build.class) @Incubating public interface TestEventReporterFactory
A service that provides access to the test event reporting API.

Since:
  8.12

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default GroupTestEventReporter`
  `createTestEventReporter(String rootName, Directory binaryResultsDirectory, Directory htmlReportDirectory)`
  Returns an object that can be used to report test events with the default behavior of failing the test task if there are test failures.
  `GroupTestEventReporter`
  `createTestEventReporter(String rootName, Directory binaryResultsDirectory, Directory htmlReportDirectory, boolean closeThrowsOnTestFailures)`
  Returns an object that can be used to report test events.

- ## Method Details

  - ### createTestEventReporter

    default GroupTestEventReporter createTestEventReporter(String rootName, Directory binaryResultsDirectory, Directory htmlReportDirectory)
    Returns an object that can be used to report test events with the default behavior of failing the test task if there are test failures.
    Parameters:
      `rootName` - the name for the root node of the test tree
      `binaryResultsDirectory` - the directory to write binary test results to
      `htmlReportDirectory` - the directory to write HTML test reports to
    Returns:
      the test event reporter
    Since:
      8.13

  - ### createTestEventReporter

    GroupTestEventReporter createTestEventReporter(String rootName, Directory binaryResultsDirectory, Directory htmlReportDirectory, boolean closeThrowsOnTestFailures)
    Returns an object that can be used to report test events.
    Parameters:
      `rootName` - the name for the root node of the test tree
      `binaryResultsDirectory` - the directory to write binary test results to
      `htmlReportDirectory` - the directory to write HTML test reports to
      `closeThrowsOnTestFailures` - determines if this reporter should throw upon close if the root node has been failed, or do nothing
    Returns:
      the test event reporter
    Since:
      9.3.0